Can not find library libg2c.so.0

Kernels & Hardware, configuring network, installing services

Can not find library libg2c.so.0

Postby cartoman » 2006-02-22 22:20

I have Debian Sarge installed and running on a intel pentium PC. I also have J2sdk, Apache 2.x, Tomcat 5.x, mod_jk2.so and ESRI ArcIMS 9.1. All of this is up and running. The problem I have is that I am not able to serve raster layers in my maps because I am missing a library. The library that ArcIMS is trying to call is:

libg2c.so.0

When I do a Google search for this library I get hits but I still can't figure out what package it belongs to. What do I need to install? Is it available in APT?

If anyone could help I would appreciate it.

Thank you, Dave
cartoman
 
Posts: 9
Joined: 2006-02-22 22:04

Postby Kaitlyn » 2006-02-22 23:36

This is what you need: http://pdo.debian.net/stable/libs/libg2c0

After downloading:
dpkg --install libg2c0_3.3.5-13_i386.deb
User avatar
Kaitlyn
 
Posts: 129
Joined: 2005-12-13 14:35
Location: Big Orange

Postby Harold » 2006-02-23 00:15

The apt-file command will tell you what Debian package owns any given file.

# apt-get install apt-file
# apt-file update
# apt-file search libg2c.so.0
Harold
 
Posts: 1502
Joined: 2005-01-07 00:15

Postby cartoman » 2006-02-23 15:19

Thanks Kaitlyn. That was just what I needed. Who'd a thunk I needed the Fortran runtime from 1977 to run the program. I've definetely been enjoying learning this Linux stuff. 8)
cartoman
 
Posts: 9
Joined: 2006-02-22 22:04


Return to System configuration

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable